@echo off

:CHECKS
rem  Check if the user has input the command line parameter.
if %1x==x goto USAGE

rem  Check if the 1-2-3 program directory contains the main DDF file.
if not exist %1\install.ddf goto ERROR1

rem  Check if the driver distribution disk contains the driver DDF portion.
if not exist *.ddf goto ERROR2

rem  Check if there is enough space on the destination drive for the update.
space %1
if errorlevel == 1 goto ERROR5

cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³                                                                         ³
echo ³                      NEW DRIVER INSTALLATION                            ³
echo ³                      1-2-3 Release 3.1  (tm)                            ³
echo ³                      1-2-3 Release 3.4  (tm)                            ³
echo ³                                                                         ³
echo ³    This procedure will install new drivers from a supplemental          ³
echo ³    drivers distribution disk into your 1-2-3 Release 3.1 (tm)           ³
echo ³    or 1-2-3 Release 3.4 (tm) directory and make them available          ³
echo ³    for you to install using the Install program.                        ³
echo ³                                                                         ³
echo ³    Note that the copy of INSTALL.DDF in your 1-2-3 Release 3.1/3.4      ³
echo ³    directory will be renamed to INSTALL.BAK.                            ³
echo ³                                                                         ³
echo ³                                                                         ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo
echo
echo
echo
echo
echo
echo
pause                                                                            
cls 


:DDFAPPEND
copy %1\install.ddf %1\install.bak
if errorlevel 1 goto ERROR3
copy %1\install.ddf+*.ddf %1\install.ddf
if errorlevel 1 goto ERROR4
 

:COPYDLD
if not exist *.dl? goto COPYPBD
copy *.dl? %1\*.*
if errorlevel 1 goto ERROR4

:COPYPBD
if not exist *.pbd goto COPYWID
copy *.pbd %1\*.*
if errorlevel 1 goto ERROR4

:COPYWID
if not exist *.wid goto COPYLRF
copy *.wid %1\*.*
if errorlevel 1 goto ERROR4

:COPYLRF
if not exist *.lrf goto COPYIFL
copy *.lrf %1\*.*
if errorlevel 1 goto ERROR4

:COPYIFL
if not exist *.ifl goto OKEXIT
if exist %1\WYSIWYG\FONTGEN.EXE copy *.ifl %1\WYSIWYG
if errorlevel 1 goto ERROR4

goto OKEXIT
 

:USAGE
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³                                                                           ³
echo ³                                                                           ³
echo ³  To use this batch file:                                                  ³
echo ³                                                                           ³
echo ³  1. Insert the Update Disk in drive A: (or B:)                            ³
echo ³                                                                           ³
echo ³  2. At the operating system prompt, type A: (or B:) and press Enter.      ³
echo ³                                                                           ³
echo ³  3. At the prompt, type:                                                  ³
echo ³                                                                           ³
echo ³        update x:\path                                                     ³
echo ³                                                                           ³
echo ³    where x:\path is the full path name, including the drive letter of     ³
echo ³    your 1-2-3 Release 3.1/3.4 directory.                                  ³
echo ³                                                                           ³
echo ³  For example, if your 1-2-3 Release 3.1 directory is C:\123R31 type:      ³
echo ³                                                                           ³
echo ³        update c:\123r31                                                   ³
echo ³                                                                           ³
echo ³                                                                           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo     
pause
goto ERROREXIT
 

:ERROR1
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³                                                                           ³
echo ³    INSTALLATION ERROR                                                     ³
echo ³                                                                           ³
echo ³      1-2-3 directory specified in update does not contain INSTALL.DDF     ³
echo ³                                                                           ³
echo ³                                                                           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo     
echo     
goto ERROREXIT


:ERROR2
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³                                                                           ³
echo ³    INSTALLATION ERROR                                                     ³
echo ³                                                                           ³
echo ³      Current drive does not contain .DDF file for new driver.             ³
echo ³                                                                           ³
echo ³                                                                           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo     
echo     
goto ERROREXIT


:ERROR3
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³                                                                           ³
echo ³    INSTALLATION ERROR                                                     ³
echo ³                                                                           ³
echo ³      Cannot backup INSTALL.DDF to INSTALL.BAK                             ³
echo ³                                                                           ³
echo ³                                                                           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo     
echo     
goto ERROREXIT
 

:ERROR4
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³                                                                           ³
echo ³    INSTALLATION ERROR                                                     ³
echo ³                                                                           ³
echo ³      A copy error has occured.......Cleaning up                           ³
echo ³                                                                           ³
echo ³                                                                           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo     
echo     
copy %1\install.bak %1\install.ddf
del %1\install.bak
if exist %1\WYSIWYG\hp-unvrs.ifl del %1\WYSIWYG\hp-unvrs.ifl
if exist %1\WYSIWYG\hp-times.ifl del %1\WYSIWYG\hp-times.ifl
goto ERROREXIT

:ERROR5
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³                                                                           ³
echo ³    INSTALLATION ERROR                                                     ³
echo ³                                                                           ³
echo ³      There is not enough space (1.2 Meg) on the destination drive         ³
echo ³      to perform the update.                                               ³
echo ³                                                                           ³
echo ³                                                                           ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo     
echo     
goto ERROREXIT
 

:OKEXIT
cls
echo ÚÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ¿
echo ³                                                                          ³
echo ³  INSTALLATION COMPLETE                                                   ³
echo ³                                                                          ³
echo ³    1-2-3 Update files have been installed. To take advantage of the      ³
echo ³    new printer drivers, you must now run the 1-2-3 Install program.      ³
echo ³                                                                          ³
echo ³                                                                          ³
echo ÀÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÙ
echo
echo     


:ERROREXIT
rem  End of Batch Program
@echo on
